Package org.drinkless.tdlib

# Class TdApi.PushMessageContentMediaAlbum

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentMediaAlbum

Enclosing class:
  `TdApi`

public static class TdApi.PushMessageContentMediaAlbum extends TdApi.PushMessageContent
A media album.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasAudios`
  True, if the album has at least one audio file.
  `boolean`
  `hasDocuments`
  True, if the album has at least one document.
  `boolean`
  `hasPhotos`
  True, if the album has at least one photo.
  `boolean`
  `hasVideos`
  True, if the album has at least one video file.
  `int`
  `totalCount`
  Number of messages in the album.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentMediaAlbum()`
  A media album.
  `PushMessageContentMediaAlbum(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)`
  A media album.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### totalCount

    public int totalCount
    Number of messages in the album.

  - ### hasPhotos

    public boolean hasPhotos
    True, if the album has at least one photo.

  - ### hasVideos

    public boolean hasVideos
    True, if the album has at least one video file.

  - ### hasAudios

    public boolean hasAudios
    True, if the album has at least one audio file.

  - ### hasDocuments

    public boolean hasDocuments
    True, if the album has at least one document.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentMediaAlbum

    public PushMessageContentMediaAlbum()
    A media album.

  - ### PushMessageContentMediaAlbum

    public PushMessageContentMediaAlbum(int totalCount, boolean hasPhotos, boolean hasVideos, boolean hasAudios, boolean hasDocuments)
    A media album.
    Parameters:
      `totalCount` - Number of messages in the album.
      `hasPhotos` - True, if the album has at least one photo.
      `hasVideos` - True, if the album has at least one video file.
      `hasAudios` - True, if the album has at least one audio file.
      `hasDocuments` - True, if the album has at least one document.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR